[问题]8.04安装永中office 2007失败

为当前最终发行版之前的所有版本提供支持
回复
lttong
帖子: 56
注册时间: 2007-06-17 22:28
送出感谢: 0
接收感谢: 0
联系:

[问题]8.04安装永中office 2007失败

#1

帖子 lttong » 2008-03-08 12:49

Locking assertion failure. Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0xb7f2a767]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_unlock+0x31) [0xb7f2a8b1]
#2 /usr/lib/libX11.so.6(_XReply+0xfd) [0xa907329d]
#3 /tmp/EIOffice/Jre/lib/i386/xawt/libmawt.so [0xa916c6ef]
#4 /tmp/EIOffice/Jre/lib/i386/xawt/libmawt.so [0xa9152826]
#5 /tmp/EIOffice/Jre/lib/i386/xawt/libmawt.so [0xa9152a6c]
#6 /tmp/EIOffice/Jre/lib/i386/xawt/libmawt.so(Java_sun_awt_X11GraphicsEnvironment_initDisplay+0x24) [0xa9152c76]
#7 [0xb2af1b7a]
#8 [0xb2aeba7b]
#9 [0xb2aeba7b]
#10 [0xb2ae9157]
#11 /tmp/EIOffice/Jre/lib/i386/client/libjvm.so [0xb77d4c1c]
#12 /tmp/EIOffice/Jre/lib/i386/client/libjvm.so [0xb78c0668]
#13 /tmp/EIOffice/Jre/lib/i386/client/libjvm.so [0xb77d4a4f]
#14 /tmp/EIOffice/Jre/lib/i386/client/libjvm.so(JVM_DoPrivileged+0x2db) [0xb782a82b]
#15 /tmp/EIOffice/Jre/lib/i386/libjava.so(Java_java_security_AccessController_doPrivileged__Ljava_security_PrivilegedAction_2+0x3d) [0xb75dc2cd]
#16 [0xb2af142b]
#17 [0xb2aeb9a4]
#18 [0xb2ae9157]
#19 /tmp/EIOffice/Jre/lib/i386/client/libjvm.so [0xb77d4c1c]
java: xcb_xlib.c:82: xcb_xlib_unlock: Assertion `c->xlib.lock' failed.

google了一下,貌似是libxcb的一个bug~~

暂时的解决方法:

代码:
sudo sed -i 's/XINERAMA/FAKEEXTN/g' /usr/lib/jvm/java-6-sun/jre/lib/i386/xawt/libmawt.so



这样的话webstart是可以用了,然后就可以安装eioffice,但是不能启动,因为eio是自带的jre,还要再对eio执行一次


代码:
sudo sed -i 's/XINERAMA/FAKEEXTN/g' /usr/local//Evermore/EIOffice/Jre/lib/i386/xawt/libmawt.so



另一个方法就是添加


代码:
export LIBXCB_ALLOW_SLOPPY_LOCK=1
按这个方法也不行。
头像
oneleaf
论坛管理员
帖子: 10238
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

#2

帖子 oneleaf » 2008-03-08 13:22

使用中文源里面打包好的直接安装,然后执行:
sudo sed -i 's/XINERAMA/FAKEEXTN/g' /usr/local/Evermore/EIOffice/Jre/lib/i386/motif21/libmawt.so
头像
SecretZero
帖子: 1670
注册时间: 2007-08-30 5:39
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 SecretZero » 2008-03-08 23:03

咦~?可以在哪里下载?
深度,值得深入!
http://bbs.deepin.org/?u=348684

最新的综艺魔法相册
http://www.77studio.net/?fromuid=344
lttong
帖子: 56
注册时间: 2007-06-17 22:28
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 lttong » 2008-03-09 10:42

oneleaf 写了:使用中文源里面打包好的直接安装,然后执行:
sudo sed -i 's/XINERAMA/FAKEEXTN/g' /usr/local/Evermore/EIOffice/Jre/lib/i386/motif21/libmawt.so
哪个hardy中文源有EIO?
头像
oneleaf
论坛管理员
帖子: 10238
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

#5

帖子 oneleaf » 2008-03-09 10:44

7.10的中文源中有,测试可以正常使用。
回复

回到 “老旧版本支持”